<template>
    <q-expansion-item :disable="disable" :label="label" :caption="caption">
        <q-item tag="label" clickable v-ripple v-for="c in options" :key="c.value">
            <q-item-section avatar>
                <q-radio :value="value" @input="$emit('input',$event)" :val="c.value"/>
            </q-item-section>
            <q-item-section>
                <q-item-label>{{ c.label }}</q-item-label>
                <q-item-label caption>{{ c.description }}</q-item-label>
            </q-item-section>
            <q-item-section v-if="c.icon" avatar>
                <q-icon :name="c.icon"/>
            </q-item-section>
        </q-item>

    </q-expansion-item>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';

@Component
export default class RadioSetting extends Vue {
    @Prop() label!: string
    @Prop() caption!: string;
    @Prop() value!: boolean;
    @Prop() disable!: boolean;
    @Prop() options!: { label: string, value: string, description: string, icon?: string }[];
}
</script>

<style lang='scss' scoped>

</style>
